body{
    min-height:100%;
    font-family: Luminari;/* Семейство шрифтов */
    background: #d11313;  /* Цвет фона веб-страницы  (для старых браузеров как запасной вариант) */
    /*background: -webkit-linear-gradient(to bottom, #d11313, #910707, #7F7FD5);  /* Цвет фона веб-страницы для Chrome 10-25 */
    background: linear-gradient(to bottom, #e31414, #630909,#000000); /*(верх,средний,нижний цвет) Цвет фона веб-страницы для Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ *//
}

h1{ /* надпись заголовка*/
    text-transform: uppercase; /*заглавные буквы*/
    background: #1a1a1a; /* Цвет вокруг */
    color:#c71414; /* Цвет заголовка */
    margin: 0; /* границы */
    padding:10px 28px; /* размер прямоугольника */
    font-weight: normal;/* Нормальное начертание текста  */
}
input{ /*gray textbox*/
    background: #575757;
    width: 100%;
    box-sizing: border-box;
    height:50px ;
    font-size: 20px;
    font-weight: 0.5px;
    padding-left:25px;
    border: 3px solid #1a1a1a;/*цвет рамки*/
    color: #1a1a1a;
}
input:focus{ /*при нажати формируется фокус*/
    background: #756e6e;
    border: 3px solid #1a1a1a;
    outline:none;
    color: #b01919;
}

span{
    margin-right: 10px; /* Отступ справа в пикселах */
    text-align:center;/* Выравнивание по центру*/
    height:50px; /* Высота блока */
    width: 0; /* Ширина блока */
    opacity: 0; /*непрозрачность*/
    -webkit-transition:0.3s;
    transition: 0.3s linear;
}

i{
    cursor: pointer; /*курсор*/
}
button{ /*оформление кнопок */
    background-color: #1a1a1a; /* Green */
    border: none;
    color: #c71414; /*цвет текста*/
    padding: 10px 20px;
    text-align: justify;
    text-decoration: none;
    display: inline-block;/*Это значение – означает элемент, который продолжает находиться в строке (inline), но при этом может иметь важные свойства блока.*/
    font-size: 15px;
    border-radius:4px;
    font-family:Luminari;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.5s;/* Задаёт время в секундах сколько должна длиться анимация перехода до её завершения */
    cursor: pointer;

}
button:hover { /*фокус на кнопке*/
    background-color: #756e6e;
    color: #b01919;
    border: 2px solid #c71414;
}

#buttons{ /*позиция кнопок*/
    display:inline-block;
    text-align: justify;/*center;*/
    margin-left:22%;
    position:absolute;
    bottom:5px;
}
#todo{ /*лист*/
    margin: 0 auto ;
    box-shadow: 0 0 1em black;
    max-width: 400px; /*ширь */
    height:100%;
    background:#575757;
    position:relative;
}
#overlay{/*Tips*/
    height: 0;
    width: 100%;
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0, 0.7); /*цвет заливки*/
    overflow-x: hidden; 
    transition: 0.5s; 
    -webkit-transition:  0.5s;
}
#overlay .closebtn { /*Tips*/
    position: absolute;
    top: 15px;
    right: 40px;
    font-size: 60px;
    color:#c71414; /*кест*/
    cursor: pointer;
}
#overlay li{/*Tips text*/
    padding: 8px;
    list-style-type:circle;
    font-size: 30px;
    color: #c71414;
    display: block;
}
.todos{/*to-do list с начала*/
    list-style-type: none; /*Изменяет вид маркера для каждого элемента списка*/
    margin: 0;
    padding: 0;
}
.todos li{
    background: #575757;
    height:50px;
    line-height: 50px;
    cursor: pointer;
    font-size: 20px;
}
.todos li:nth-child(2n){ /*to-do list now*/
    background:#575757;
}
.todos li:hover span{ /*to-do list now*/
    width: 50px;
    opacity: 1.0;
    margin-left: 5px;
}
.display{ 
    display:none;
    transition: 0.3s linear;
}
.checked{ /*cross out*/
    color:#1a1a1a;
    text-decoration:line-through;
}

.fa-pencil-ruler {
    float: right;
    padding-top: 8px;
}
.fa-trash-ruler{ /*кара*/
    color:#c71414;
}
.tips{
    position: relative;
    top: 20%;
    width: 100%; 
    text-align: center; 
    margin-top: 25px;
}
/*  if screen size less than 450px, resize tips lists and close btn so they don't overlap */
@media screen and (max-height: 450px) {
    .overlay a {
        font-size: 20px
    }
    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
    #todo{
        width:100%;
        height:100%;
    }
}